
From: Kevin Corry <kevcorry@us.ibm.com>

We're also working on some general documentation which will go in
Documentation/device-mapper and will include more detailed information
about the core driver and the other sub-modules.  We'll try to submit those
patches in the near future.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/kcopyd.c |    4 ++++
 25-akpm/drivers/md/kcopyd.h |    4 ++++
 2 files changed, 8 insertions(+)

diff -puN drivers/md/kcopyd.c~2-5-device-mapper-kcopyd-docs drivers/md/kcopyd.c
--- 25/drivers/md/kcopyd.c~2-5-device-mapper-kcopyd-docs	Wed Jun  2 14:57:13 2004
+++ 25-akpm/drivers/md/kcopyd.c	Wed Jun  2 14:57:13 2004
@@ -2,6 +2,10 @@
  * Copyright (C) 2002 Sistina Software (UK) Limited.
  *
  * This file is released under the GPL.
+ *
+ * Kcopyd provides a simple interface for copying an area of one
+ * block-device to one or more other block-devices, with an asynchronous
+ * completion notification.
  */
 
 #include <asm/atomic.h>
diff -puN drivers/md/kcopyd.h~2-5-device-mapper-kcopyd-docs drivers/md/kcopyd.h
--- 25/drivers/md/kcopyd.h~2-5-device-mapper-kcopyd-docs	Wed Jun  2 14:57:13 2004
+++ 25-akpm/drivers/md/kcopyd.h	Wed Jun  2 14:57:13 2004
@@ -2,6 +2,10 @@
  * Copyright (C) 2001 Sistina Software
  *
  * This file is released under the GPL.
+ *
+ * Kcopyd provides a simple interface for copying an area of one
+ * block-device to one or more other block-devices, with an asynchronous
+ * completion notification.
  */
 
 #ifndef DM_KCOPYD_H
_
